Bug 467507

Summary: Review Request: hiran-rufscript-fonts - Rufscripts is a decorative handwriting based font
Product: [Fedora] Fedora Reporter: Rahul Sundaram <sundaram>
Component: Package ReviewAssignee: Paul Flo Williams <paul>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, fonts-bugs, jsmith.fedora, msuchy, notting, paul, smohan
Target Milestone: ---Flags: paul: fedora‑review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-19 05:58:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Rahul Sundaram 2008-10-17 16:21:39 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/rufscript-fonts.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/rufscript-fonts-0.1-1.fc10.src.rpm

Description: 

Rufscripts is a handwriting based font suitable for comic scripts and
small labels. It is created using completely free and open source tools. 

Notes:

Other than a warning about missing documentation (we don't have any), rpmlint is clean but do check the conf file and other details for the review.
Comment 1 Kushal Das 2008-10-18 14:02:52 EDT
Automated result from review-o-matic

http://koji.fedoraproject.org/koji/taskinfo?taskID=887703

rufscript-fonts.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 2 Nicolas Mailhot 2008-10-26 07:28:20 EDT
1. Since Minto Joseph and you are both packaging Hiran's fonts, you should get together and interact with Hiran collectively (see bug #457709).

2. It's not a good idea to keep the versioning in the TTF filename, some apps refer fonts by filename and will get cross with you if it changes every version

3. You should discuss with Minto if you want to adopt a common prefix for your font packages names (for  example hiranv-rufscript-fonts and perizia-rufscript-fonts). We've more or less started to do it for big foundries (gfs, sil) and some individual font authors (thibault), it's probably better to generalise the convention to have consistent naming
(please subscribe to the fonts SIG list if you haven't done so yet to get informed of packaging convention evolutions)

4. you can drop the -f in the fc-cache invocation for releases ≥ Fedora 9
→ http://fedoraproject.org/wiki/Packaging/FontsSpecTemplate

5. Some people want all Fedora-added source files in a package to be prefixed with the package name. You don't follow this convention for your fontconfig file. Please take inspiration from the general packaging guidelines or Minto's package to fix it.
→ http://fedoraproject.org/wiki/Packaging/FontsSpecTemplatebug #457709

6. 69 is a bit low, for a latin font like rufscript something between 62 and 64 would be fine
→ http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Simple_priority_lists

7. Please have upstream publish rufscript in a proper versioned archive with a detached license file you can add in %doc

8. Please reformat your xml files with xmllint --format before submission so they are nicely indented

9. I would have declared rufscript as a cursive font, not a sans-serif one

10. Please add a "Generic name" rule in addition to the "Registering a font in default families" rule
→ http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Generic_names
 This rule is used by fontconfig to complete your font with glyphs from other fonts when it encounters a codepoint your font is missing
→ http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Registering_a_font_in_default_families
  This rule is used by fontconfig to identify what fonts to use when an application requests a "cursive" font.

11. When you've written fontconfig rules you're happy with it's always a good idea to send them upstream to be included in the font next releases (in the versionned archive you're supposed to request)

Despite the long todo list your spec is in good shape overall and it should not take much to get it in a state that can be approved.
Comment 3 Nicolas Mailhot 2008-11-17 04:53:03 EST
Ping?
Comment 4 Nicolas Mailhot 2008-12-21 16:43:57 EST
[This is a simplified version of the message sent to every package maintainer that ships TTF/OTF/Type1 fonts in Fedora.]

Our font packaging guidelines have now changed. New font package submissions must now be adapted to the new templates available in the fontpackages-devel
package:
 – http://fedoraproject.org/wiki/fontpackageshttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

It is preferred to create a font package or subpackage per font family, though
it is not currently a hard guidelines requirement.
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_(2008-12-21)
has been submitted for FPC and FESCO approval today.

The new templates should make the creation of font packages easy and safe. 

The following packages have already been converted by their packager in fedora-devel and can serve as examples:
❄ abyssinica-fonts
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ nafees-web-naskh-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

The new spec templates have been designed to be easy to update to from the previous guidelines, and to remove complexity from font packages. To help new package creation the fontpackages-devel package has been made available in Fedora 9 and 10.

If you have any remaining questions about the new guidelines please ask them
on:
fedora-fonts-list at redhat.com
Comment 5 Nicolas Mailhot 2009-09-14 00:45:56 EDT
Hiran is promising a new release and an new website in October.

Meanwhile on the packaging side since he created multiple fonts it would be nice to use a common prefix on the packages (similar to the apanov- prefix we use in packaging Andrey Panov's fonts) to mark they have the same origin (as required by guidelines)
Comment 6 Jared Smith 2010-09-19 08:00:59 EDT
I've created a new .spec and SRPM for this font, as I was talking with Mairin Duffy today and she showed me this font.

SPEC URL:
http://jsmith.fedorapeople.org/Packaging/Fonts/rufscript/hiran-rufscript.spec

SRPM URL:
http://jsmith.fedorapeople.org/Packaging/Fonts/rufscript/hiran-rufscript-fonts-0.100-1.fc13.src.rpm

I made a couple of assumptions on this font -- please correct me if these assumptions are wrong:

1) The version in the filename is "010", but I couldn't tell if this means "0.1" or "0.10" or "0.100".  I used fontforge to look at the font metadata, and it said the version was "0.100", so I'm using that for the version number.

2) Comment 5 mentioned a font packaging prefix -- I've used the prefix of "hiran" in this package.
Comment 7 Paul Flo Williams 2011-05-08 11:38:02 EDT
Is Rahul with you taking over this package? (The passage of time suggests yes, but you never know.)

1. The spec name must be the same as the package name.

2. The license in the source file is GPLv3+ with exceptions

3. The SFD contains the line "Version: 0.1.0" and this is consistent with Hiran's other font under review at the moment, Perizia, but version control of fonts is notoriously bad so 0.100, pulled from the name table, is OK.

4. The fontconfig is very wrong, as you've said that the font "Sans" is the same as the font "Rufscript". Please use the basic fontconfig template and declare this as a cursive font.

5. From Nicolas's previous comment #2, points 6 and 7 still apply.

Other than those, this is a simple package, and almost ready for approval.
Comment 8 Paul Flo Williams 2011-06-08 13:40:56 EDT
Jared, are you still interested in this?
Comment 9 Jared Smith 2011-06-08 15:32:57 EDT
Yes, I'll fix it up over the next day or so.
Comment 10 Miroslav Suchý 2012-12-16 08:14:55 EST
Ping? Any progress here? Or we can close this review?
Comment 11 Miroslav Suchý 2013-02-19 05:58:43 EST
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue with this review, please reopen or
submit new review.